html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
  color: var(--bs-secondary-color);
  text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
  text-align: start;
}


.gallery-image {
    cursor: pointer;
}

#modalImage {
    max-height: 85vh;
    width: 100%;
    object-fit: contain;
}


html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
}

.hero-section1 {
    position: relative;
    width: 100%;
    height: 100vh;
    overflow: hidden;
    margin: 0;
    padding: 0;
}

.hero-video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.hero-content {
    position: relative;
    z-index: 10;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: flex-start; /* top align */
    align-items: center;
    text-align: center;
    padding-top: 100px; /* top spacing */
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.35);
}

.hero-title-box h1 {
    color: white;
    font-size: 65px;
    font-weight: bold;
}

.navbar {
    margin-left: 0 !important;
    margin-right: 0 !important;
    padding-left: 0 !important;
    padding-right: 0 !important;
}

.hero-title-box span {
    color: #ff9800;
}

.hero-desc-box {
    max-width: 900px;
}

    .hero-desc-box p {
        color: white;
        font-size: 22px;
        line-height: 1.8;
    }

    .hero-desc-box span {
        color: #ff9800;
        font-weight: bold;
    }

.hero-btn {
    margin-top: 30px;
    padding: 14px 35px;
    background: #ff9800;
    color: white;
    text-decoration: none;
    border-radius: 30px;
    font-size: 18px;
}

@media(max-width:768px) {

    .hero-title-box h1 {
        font-size: 38px;
    }

    .hero-desc-box p {
        font-size: 16px;
    }
}

.navbar-brand img {
    object-fit: contain;
}

.navbar-brand {
    font-size: 14px;
    font-weight: 600;
}

.dropdown-menu {
    background: #212529;
    border: none;
}

.dropdown-item {
    color: white;
}

    .dropdown-item:hover {
        background: #0d6efd;
        color: white;
    }

.nav-item.dropdown:hover .dropdown-menu {
    display: block;
}

/* Remove dropdown arrow */
.navbar .dropdown-toggle::after {
    display: none !important;
}

.company-name {
    font-size: 24px; /* size increase */

    font-weight: 700;
    line-height: 1.3;
    color: white;
    letter-spacing: 1px;
}


/* Mobile */

@media(max-width:768px) {

    .company-name {
        font-size: 16px;
    }
}

.popup-gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(180px,1fr));
    gap: 18px;
}

    .popup-gallery img {
        width: 100%;
        height: 140px;
        object-fit: cover;
        border-radius: 18px;
        cursor: pointer;
        border: 3px solid #00d4ff;
        transition: .3s;
    }

        .popup-gallery img:hover {
            transform: scale(1.05);
        }


.login-btn {
    background: #ffffff;
    color: #0b3475 !important;
    padding: 10px 22px !important;
    border-radius: 30px;
    font-weight: 600;
    margin-left: 12px;
    transition: 0.3s;
}

    .login-btn:hover {
        background: #dbe8ff;
        color: #001d4d !important;
    }
